-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local index = Input
local raid_type_list = {
    [0] = "RAID0",
    [1] = "RAID1",
    [2] = "RAID2",
    [3] = "RAID3",
    [4] = "RAID4",
    [5] = "RAID5",
    [6] = "RAID6",
    [10] = "RAID10",
    [11] = "RAID1(ADM)",
    [12] = "RAID10(ADM)",
    [13] = "RAID1Triple",
    [14] = "RAID10Triple",
    [17] = "RAID1E",
    [20] = "RAID20",
    [30] = "RAID30",
    [40] = "RAID40",
    [50] = "RAID50",
    [60] = "RAID60"
}

if raid_type_list[index] then
    return raid_type_list[index]
end
return ""